### Method

# ECal ComponentBag foreach

since: 3.58

#### Declaration [src]

    void
    e_cal_component_bag_foreach (
      ECalComponentBag* self,
      ECalComponentBagForeachFunc func,
      gpointer user_data
    )

#### Description [src]

Calls the `func` for each item in the `self`, or until the `func` returns `FALSE`, to stop the traversal earlier.

Available since: 3.58

#### Parameters

`func`

  Type: `ECalComponentBagForeachFunc`

  An `ECalComponentBagForeachFunc` to call.

`user_data`

  Type: `gpointer`

  User data passed to the `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.